Bug 123092 - devel/cmake: fix Qt4 configuration.
Summary: devel/cmake: fix Qt4 configuration.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-kde (Team)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-04-25 21:30 UTC by Thierry Thomas
Modified: 2008-05-27 23:18 UTC (History)
1 user (show)

See Also:


Attachments
cmake.diff (1.83 KB, patch)
2008-04-25 21:30 UTC, Thierry Thomas
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thierry Thomas freebsd_committer 2008-04-25 21:30:02 UTC
	When using cmake to build an application depending on Qt4, it
	fails to detect qmake-qt4 if qmake exists, and then even if
	moc-qt4 and uic-qt4 have been found, they are not registered.

	The following patch fixes these problems.

Fix: Please consider the hereunder patch:
How-To-Repeat: 	Try to upgrade ParaView (the port science/paraview) to v. 3.2.x.
Comment 1 Edwin Groothuis freebsd_committer 2008-04-25 21:30:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->kde

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Thierry Thomas freebsd_committer 2008-05-04 13:16:41 UTC
On Fri 25 apr 08 at 22:24:43 +0200, Thierry Thomas <thierry@FreeBSD.org>
 wrote:

> >Description:
> 	When using cmake to build an application depending on Qt4, it
> 	fails to detect qmake-qt4 if qmake exists, and then even if
> 	moc-qt4 and uic-qt4 have been found, they are not registered.
> 
> 	The following patch fixes these problems.
> 
> >How-To-Repeat:
> 	Try to upgrade ParaView (the port science/paraview) to v. 3.2.x.

A patch to upgrade paraview to v. 3.2.1 is available at
<http://people.freebsd.org/~thierry/ports/paraview-3.2.1.diff>

Try to build it without and with the included patch to
Modules/FindQt4.cmake.

Regards,
-- 
Th. Thomas.
Comment 3 Thierry Thomas freebsd_committer 2008-05-18 15:38:52 UTC
Note: the previous patch of Paraview is intended to be built by cmake
2.4.8. If you update cmake to 2.2.6, the proposed patch
devel/cmake/files/patch-Modules_FindQt4.cmake is still applicable, but
Paraview-3.2.1 won't build as-is, due to another problem.

Paraview-3.2.1 was supposed to support cmake-2.6.0, and if detected it
uses two new cmake commands (get_property & export), but according to
<http://www.cmake.org/HTML/cmake-2.6.html#command:get_property>
and
<http://www.cmake.org/HTML/cmake-2.6.html#command:export>
they have not been implemented as expected by the paraview team!

I have updated my patches to support cmake-2.6.0, and it is available at
<http://people.freebsd.org/~thierry/ports/paraview-3.2.1%2bcmake-2.2.6.diff>

Best regards,
-- 
Th. Thomas.
Comment 4 Martin Wilke freebsd_committer 2008-05-27 23:18:07 UTC
State Changed
From-To: open->closed

Committed. Thanks! (with update to 2.6.0).